Points of Interest
==================

## BIOS & Hardware

- <http://p2pfoundation.net/Open_Hardware>
- <http://www.fsf.org/blogs/community/a-preliminary-analysis-of-high-priority-projects-feedback>
- <https://www.fsf.org/campaigns/free-bios.html>
- <https://www.coreboot.org/Supported_Chipsets_and_Devices>
- <https://libreboot.org/docs/hcl/index.html#supported_list>
- <http://www.replicant.us/freedom-privacy-security-issues.php>
- <http://firmwaresecurity.com/>
- h-node database:

  <https://h-node.org/notebooks/catalogue/en/1/1/Lenovo/undef/undef/undef/undef/undef/undef/undef>


## IRC Chat Channels

- \#coreboot
- \#libreboot


## Open Hardware Tools

- <https://www.sifive.com/products/freedom-e310/>
- <https://www.sifive.com/products/hifive1/>

- <https://www.olimex.com/Products/OLinuXino/open-source-hardware>
  - <https://en.wikipedia.org/wiki/Allwinner_Technology>
  - <https://en.wikipedia.org/wiki/Das_U-Boot>

- <http://www.linuxinsider.com/story/80684.html?rss=1>


## Schematics

- <https://libreboot.org/docs/hcl/gm45_remove_me.html>, Section "Flash chips":

  - ThinkPad X200 <http://pdf.datasheetarchive.com/indexerfiles/Datasheets-USER/DSAUPLD00006075.pdf>
  - ThinkPad X200s <http://pdf.datasheetarchive.com/indexerfiles/Datasheets-USER/DSAUPLD00006104.pdf>

- <http://thinkwiki.de/Sicherungen_X200_und_X200s_/_fuses_X200_and_X200s>


## Propeller 1 Open Source

- Parallax Propeller 1 P8X32A Released as Open Source Design

  <https://www.parallax.com/microcontrollers/propeller-1-open-source>

  <blockquote cite="https://www.parallax.com/microcontrollers/propeller-1-open-source">
  The Propeller 1 (P8X32A) is now a 100% open multicore microcontroller,
  including all of the hardware and tools: Verilog code, Spin interpreter,
  PropellerIDE and SimpleIDE programming tools, and compilers. The
  Propeller 1 may be the most open chip in its class.
  &mdash; Ken Gracey, CEO, Parallax Inc.
  </blockquote>

- Propeller 1 Design (including Verilog and VHDL files),

  <https://www.parallax.com/downloads/propeller-1-design>

  to be used in conjunction with FPGA-development boards:
    - DE0-Nano Cyclone FPGA Board, <https://www.parallax.com/product/60056>
    - Altera DE2-115 FPGA Development Board, <https://www.parallax.com/product/60050>

- Propeller Object Exchange (OBEX), Contributed Code for the Propeller Microcontroller

  <http://obex.parallax.com/>

  - N256S0830HDA SPI SRAM driver, By: Tim Moore, created: 2013-03-28 | updated: 2013-04-11

    <http://obex.parallax.com/object/35>

    Driver is also a example of how to do SPI using counters for SPI clock, allows SPI speeds upto 10MHz.

- heise developer, Article by Tam Hanna

  <http://www.heise.de/developer/artikel/Multicore-Programmierung-mit-dem-Propeller-Mikrocontroller-3142352.html>


## List of Licenses

- GNU, <https://www.gnu.org/philosophy/license-list.html>
- OSI, <https://opensource.org/licenses/category>


## Hardware Shops

- <http://www.watterott.com/>
- <http://www.segor.de/#>


## Off-Topic & Entertainment

- <http://www.axoloti.com/>
- <https://en.wikipedia.org/wiki/Impromptu_%28programming_environment%29>


-----------------------------------------------------------------------

  @copyright
  Copyright (C) 2016, 2017, 2018 Kai Mertens <kmx@posteo.net> @n
  Permission is granted to copy, distribute and/or modify this document
  under the terms of the GNU Free Documentation License, Version 1.3
  or any later version published by the Free Software Foundation;
  with no Invariant Sections, no Front-Cover Texts, and no Back-Cover Texts.
  A copy of the license is included in the section entitled:
  [GNU Free Documentation License](COPYING-DOCUMENTATION.md)
