Test Report
===========

  @deprecated
  This file is outdated.


2017/11/07 15:01:33
-------------------

WIP on T60: Please see [Power Profiles][] and [Supported Devices][].


2017/11/05 21:51:30
-------------------

WIP on T60:

- Using an LM1086-IT-3.3 power regulator (max 1.5A@3.3V) with cooling
  body. Chip detect works after second trial, although 1000µF/10V cap
  has been added. Even bigger cap? No, a second 1000µF doesn't help much.
- Chip readout has to be split into two procedures (using menu option m),
  which allows for cooling the LM1086 in between. Then it works with an
  external USB-Power Supply, delivering approx. 1.7A.
- Write to chip not tested, yet.


2017/11/02 20:38:48
-------------------

WIP on T60: Take care, poly-fuse is getting hot and reaches its trip point
after approx. 20 seconds! The controller spills out some chars on screen,
then gets reset. Should Brown-Out-Enable allow this behaviour?

Readout of seperated blocks which allows for cooling inbetween works as a
workaround for now.


2017/11/02 19:37:03
-------------------

Working on T60: Probing works fine with Pullup-Poti screwed to topmost
CW position, however probing twice until the chip gets detected is required.

Setup: The sysboard is populated with one 1GB-DIMM and its CPU in place.
Extended double-USB ports and keyboard are not attached.


2017/11/02 15:35:23
-------------------

Kai: __Approaching a first T60__

### Specs of Chipflasher

 - As of commit 22a3621, tip of branch go-for-board-edition-1


### Specs of Machine

 - T60 with Intel GPU
 - Screen 1024x768, Type ...141...
 - CPU 64bit 2GHz
 - BIOS Firmware: Original Lenovo
 - BIOS Chip: Atmel0701 26DF161 SU, SOIC8
   - <http://www.gaw.ru/html.cgi/txt/ic/Atmel/memory/at26/AT26DF161.htm>
   - <http://www.gaw.ru/pdf/Atmel/at26/AT26DF161.pdf>

### Notes

This T60 has an Intel GPU and would run without VGABIOS ROM blob, however
its screen seems to be uncompatible according to libreboot’s documentation.
Therfore, let’s try to check wether flashing works with the original firmware.


2016/04/21 17:42:19
-------------------

Kai: __DTR with pulldown__

commit 99cab34ea93ef9641a5d33df071fbad1706fa774

An extra pulldown of 22K on PIN_RESn is used to avoid spikes over
3.3Volts. Ripple is balanced by an extra 20nF cap.

![Foto 116-3849 (1µs/0.05V, probe 1:10)][!IMG_3849-small.jpg]


2016/04/20 10:48:11
-------------------

Kai: __Noise on USB-Power__

commit d53d258c562780efc7632716317b23b788fc5d57

- A cheap switching AC adapter introduces noise through the USB power
line which may be the reason for corrupted data and/or occasional
reset trigger,

  i.e. Sinydeal(TM) MODEL ST-C-090-20000450CT:

  ![Foto 116-3824 (10µs/0.02V, probe 1:10)][!IMG_3824-small.jpg]

  An additional 100nF cap at power entry of the chipflasher board
  doesn't help much:

  ![Foto 116-3825 (10µs/0.02V, probe 1:10)][!IMG_3825-small.jpg]

- Please use a high quality adapter that is properly filtered,

  i.e. lenovo(TM) AC Adapter 90W 20V:

  ![Foto 116-3827 (0.1µs/0.01V, probe 1:10)][!IMG_3827-small.jpg]


2016/04/08 00:29:29
-------------------

Kai: __Propeller occasionally resets__

commit 554c3f140ab336c621e882bd40d608c2c17c23b3

Reading chip's content of a brand new X60 mobo - with a Pomona test
clip attached - works fine, but still needs the MAX232CPE-Chip. If we
use the RS232-transistor-setup, a reset is triggered occasionally while
reading _with screen feedback_. A bigger cap (1000µF instead of 47µF)
at the USB-Power-Plug-Entry is not helping. In example, the reset
occurs while reading a block of 64k: when screen output is off due to
0xff-data and then suddenly resumes, the reset is triggered.

2016/03/26 21:32:46
-------------------

Kai: __CP-Mode with 0xffs stripped__

commit 057906210e40a67ba4bc6dd5dd27f6fae103691a

CP-Mode as available on a SST25VF016B works fine, even with odd/random
addresses.

2016/03/25 23:46:13
-------------------

Kai: __skipping 0xff-lines speeds up transmission__

commit ad3de24905f46cc06e6469f193b2729c5a250346

A typical X60-Libreboot-Image...

- is now written within 15min
- is now read within 10min

The binary image has to be prepared with i.e. ...

- `$ srec_cat x60.rom -B -O x60.srec -M`
- `$ srec_cat x60.srec -M -UF 0xff 0x08 -O catch.txt -M`

If you do verification, first fill up the file gaps with `0xff` again.

2016/03/15 00:32:03
-------------------

Kai: __Adapter-Plug for X200 works fine on X60 as well__

The X200 needs a smaller pull-up resistor on the \#CE-line than the X60
(220R versus 10K), which can be used for the X60 as well.

2016/03/13 23:05:28
-------------------

Kai: __Overview of tested RAM-Modules with X200 (FTN00006)__

These modules do not work:

- Samsung 2GB 2Rx8 PC3-8500S-07-10-F2 (M471B5673EH1-CF8 0903)
- ELPIDA 2GB 2Rx8 PC3-8500S-7-10-F1 (EBJ21UE8BBS0-AE-F  0925NK363296)

These modules are fine:

- ELPIDA 2GB 2Rx8 PC3-8500S-7-10-FP (EBJ21UE8BAU0-AE-E  0840NK875153)
- ELPIDA 2GB 2Rx8 PC3-8500S-7-10-FP (EBJ21UE8BAU0-AE-E  0847NK981550)
- ELPIDA 2GB 2Rx8 PC3-8500S-7-10-FP (EBJ21UE8BAU0-AE-E  0840NK875153)
- ELPIDA 2GB 2Rx8 PC3-8500S-7-10-FP (EBJ21UE8BASA-AE-E  0841NK887596)
- M 2GB 2Rx8 PC3-8500S-7-00-F1 (MT16JSF25664HY-1G1D1  200851  CBNDJ1X011)
- Samsung 4GB 2Rx8 PC3-10600S-09-11-F3 (M471B5273DH0-CH9  1201)

2016/03/12 23:42:34
-------------------

Kai: __Yeah! The first X200 has been flashed!__

commit ff0542de061568d40f0c63e731ea5d8d0737a834

Let's call this day the birthday of the chipflasher, for flashing a
X200 was the original motivation when I started the project in 2015.

Here are some additional hints:

- The pull-up resistor for the \#CE-line had to be changed to 220Ohms
- I used a Motorola Srecord with all 0xff-lines stripped manually
- The X200 didn't boot and had a flickering or totally black screen
  with the first three 2GB-RAM-Modules; but then the fourth worked fine!

  - ELPIDA 2GB 2Rx8 PC3-8500S-7-10-F1 (EBJ21UE8BBS0-AE-F) did not work
  - Samsung 2GB 2Rx8 PC3-8500S-07-10-F2 (M471B5673EH1), two different
    modules, both did not work
  - M 2GB 2Rx8 PC3-8500S-7-00-F1 (MT16JSF25664HY-1G1D1) worked fine in slot 0!

- There was no need for an external ATX-Power Supply. The BIOS-Chip
  on the unpowered Systemboard had been supplied with +3.3V and GND
  through the chipflasher's pin-header directly. The chipflasher board
  itself was powered by a single USB-port only.


2016/03/11 10:34:59
-------------------

Kai: __Main Test on an X60 (FTN00001), Hurray!__

commit e6e6a7479b6bd2aab90f6f1769ff9e5d7d4c0ccc

We are going to flash a complete libreboot-image with the chipflasher
connected to the unpowered x60-sysboard via pin header...

- 0xff-lines have been stripped manually
- chip erase/verify: ~5min
- chip program: ~30min
- no verify

Result: Success!!

An error occured (line count mismatch), but that's because we didn't
strip the summary S-record.)
The Laptop boots up fine.

2016/03/10 08:53:59
-------------------

Kai: __Ok, FTN00001 has been accessed through a pin-header__

...and is still booting. (We cleared/write Sector 0).
As a next step, a whole modified libreboot-image will be flashed.

2016/03/09 16:50:09
-------------------

Kai: __Ok, FTN00001 is booting__

...now we try to access the board through the pin-header.

2016/03/09 12:49:01
-------------------

Kai: __SST-Chip flashed in preparation for soldering__

commit 3edd079a99d49cea53433a33ed713020874715b9

Let's prepare an X60-Board (SST-Chip).
The chip has now been flashed with a generic Libreboot-Image.
It will then be soldered on board FTN00001.

2016/03/04 09:12:17
-------------------

Kai: __Second Libreboot-Image__

commit 79f21744aeb6deef7330969cd1b3488d8f655fa1

We prepare a Libreboot image again, to be used for our second try.

 - Build from sources
 - ich9deblob scripts build on the same machine
 - Mac Address applied
 - this time we use the default usqwerty keymap

2016/03/04 08:14:55
-------------------

Kai: __Puh, Lenovo-Image works again__

The x200 board is NOT broken. The reflashed Lenovo-Image works.
Center-Pins NC have not been soldered.

### Let's do a short summary:

 - It is possible to desolder/resolder the chip without damaging the board
 - NC-Pins need not be soldered
 - If NC-Pads get loose, don't panic
 - CMOS-Battery may be plugged in
 - Flashing the extracted chip with the chipflasher works fine

2016/03/04 07:30:13
-------------------

Kai: __X200, second try__

commit 79f21744aeb6deef7330969cd1b3488d8f655fa1

The x200 didn't boot with libreboot-chip. Is the board broken or wrong image?
Let's try with the original lenovo image...

2016/03/02 18:50:10
-------------------

Kai: __Same with second SST-Chip__

commit 310331d893dab8bda35adb87fd6f44640317b293

The second SST25VF016B (which was supposed to be broken) works fine as well.


2016/03/02 12:28:58
-------------------

Kai: __Broken SST-Chip is now working__

commit 99889499919621cc6e1bc1cbd40a419e11ac2dbb

The SST25VF016B, which was supposed to be broken, works fine! Reason:
Levels are now clearly defined for we throwed the 2K2-resistors,
which were meant as a protection feature.

2016/03/01 14:50:33
-------------------

Kai: __VERIFIED!__

Successfully verified using Motorola-Srecord Format. Reading took about 70min.
Chip should now be ready for being soldered onto the x200 motherboard again.

2016/03/01 13:35:57
-------------------

Kai: __Chip W25X64 successfully flashed__

commit b3d1d6dbf01cd66be0fbbf8a0c7461e02d434882

Flashing took about 150min.

2016/03/01 10:46:31
-------------------

Kai: __Transmission error while flashing__

commit b3d1d6dbf01cd66be0fbbf8a0c7461e02d434882

We need to adjust the polling-loop again, for a transmission error
occured in line 0x090160 while flashing the libreboot image to the
W25X54-Chip with a Berlin-X60/L2400.

2016/02/29 21:40:22
-------------------

Kai: __My machine gets too hot__

commit b3d1d6dbf01cd66be0fbbf8a0c7461e02d434882

Reading the 64MBit-Chip takes some time and CPU is stressed. I have to
use another Libreboot-Machine with better cooling. The Berlin-X60/L2400
is doing the job with core temperatures of about 65°C.

2016/02/29 21:25:09
-------------------

Kai: __Remove resistors which were meant as protection feature__

commit b3d1d6dbf01cd66be0fbbf8a0c7461e02d434882

Ok, these 2200Ohm-resistors were meant for protection, but they do not
allow to drive pins really low.
Now, the W25X64-Chip is detected properly. I wonder if these SST-Chips,
that were supposed to be broken, will work as well now?!

2016/02/29 19:13:54
-------------------

Kai: __Cannot probe the W25X64!__

commit 99f1e8a0f62b9efb6e4580e92c4e647231cd7bcb

Now, the chip is attached to its test-plug, which in turn is connected
to the chipflasher prototype.
But I cannot probe the chip! I receive JEDEC-ID 0xdc8060
(should be 0xef3017). UhOh!

2016/02/29 13:23:08
-------------------

Kai: __Desoldering SOIC-16 from X200-Sysboard__

Done, but one contact pad is now loose. Fortunately, it is 'no connect',
so the board will hopefully still work... The chip itself looks good;
type is "Winbond W25X64". Desoldering SOIC-16 is much more delicate
than SOIC-8, for you don't have good access to the center pins. Never
try to put your tool underneath the chip with too much force
(like I did)! It will make 'crick!' and the pad is off. It is probably
a good idea to lower the heat of your iron tip as well.

2016/02/28 21:35:41
-------------------

Kai: __Replacing Chips by hand works fine!__

commit 1b55e6a5d3c2849db792d08674e7eb789f2a5bc8

On a X60/T2400-board, I replaced the original MX25L1605D with
Lenovo-Firmware by another MX25L1605D with a Libreboot-Image,
previously flashed with the chipflasher. It works! Furthermore,
the Lenovo-Firmware seemed to be compromised, for Trackpoint didn't
work, Battery-refresh either, and Keyboard was fixed to US-layout.
With the Libreboot-chip, everything works fine again.

Both chips have the same issues when attached to the chipflasher board,
considered to be faults:

 - CP-Mode is not working
 - BP3 in StatusRegister is always zero
 - SCUR is always zero
 - OTP can't be accessed

This does not conform with the Macronix Datasheet, so I suspect that a
cheaper chip type with reduced functionality exists, for why are i.e.
bits CP and BP3 kind of greyed out in the datasheet table, same as
bits LDSO and SOTPI?



<!-- Files -->
[Power Profiles]:       power-profiles.md
[Supported Devices]:    supported-devices.md

<!-- Embedded Images -->
[!IMG_3849-small.jpg]:    ./images/IMG_3849-small.jpg
[!IMG_3824-small.jpg]:    ./images/IMG_3824-small.jpg
[!IMG_3825-small.jpg]:    ./images/IMG_3825-small.jpg
[!IMG_3827-small.jpg]:    ./images/IMG_3827-small.jpg


-----------------------------------------------------------------------

  @copyright
  Copyright (C) 2016, 2017, 2018 Kai Mertens <kmx@posteo.net> @n
  Permission is granted to copy, distribute and/or modify this document
  under the terms of the GNU Free Documentation License, Version 1.3
  or any later version published by the Free Software Foundation;
  with no Invariant Sections, no Front-Cover Texts, and no Back-Cover Texts.
  A copy of the license is included in the section entitled:
  [GNU Free Documentation License](COPYING-DOCUMENTATION.md)
