Board Layout
============


Dimensions
----------

Board dimensions are 80x100mm.


Layout
------

~~~

        +---------------------------------------+
        | O     Chipflasher Board Layout      O |
        |                                       |
        |                         LED green  o  |
        |  [X] Power Switch                     |
        |                         LED orange o  |
        |  o  LED Power                         |
        -------+                  LED yellow o  |
        : USB  |                                |
        : Power|                                |
        -------+                   _____________|
        |  o  SPI Power            |SPI-Bus     |
        |___________               |============|
        |RS232  DTE|   Jumper      |            |
        |Pin Labels|   x DTR       |      PLUG# |
        |==========|   x RST       |        GND |
        |          |   o RTS       |        WP# |
        | NC  | GND|               |       MISO |
        | RI  | DTR|       +---+   |        CE# |
        | CTS | TXD|       | R |   |       MOSI |
        | RTS | RXD|       | e |   |       SCLK |
        | DSR | CD |       | s |   |      HOLD# |
        |----------|       | i |   |        VDD |
        |                  | s |   |            |
        |                  | t |   | SPI LED o  |
        |                  | o |   |------------|
        |                  | r |                |
        | O                | … |              O |
        +------------------| ^ |----------------+


~~~


-----------------------------------------------------------------------

  @copyright
  Copyright (C) 2017, 2018 Kai Mertens <kmx@posteo.net> @n
  Permission is granted to copy, distribute and/or modify this document
  under the terms of the GNU Free Documentation License, Version 1.3
  or any later version published by the Free Software Foundation;
  with no Invariant Sections, no Front-Cover Texts, and no Back-Cover Texts.
  A copy of the license is included in the section entitled:
  [GNU Free Documentation License](COPYING-DOCUMENTATION.md)
