Zerocat Chipflasher Board Documentation
=======================================

Zerocat Chipflasher Board is an essential part of the Zerocat Chipflasher
and deals with the hardware stuff. As we are aiming for Do-it-Yourself,
it is considered a mistake if the documentation doesn't help you to build
your own device. If anything is unclear, [please report][zerocat-email].


Where to Go?
------------

Read [The Chipflasher Board][] to get started, and see other [Related Pages][].


Complete List of Documentations
-------------------------------

  1.  [Zerocat Chipflasher Documentation][chipflasher-doc]
  2.  [Zerocat Connect Documentation][connect-doc]
  3.  Zerocat Chipflasher Board Documentation



[zerocat-email]:            mailto:zerocat@posteo.de
[The Chipflasher Board]:    board.md


<!-- Paths are prefixed with ../../../ to make them work for doxygen! -->
[Related Pages]:    ../../../generated-documentation/chipflasher/html/pages.html
[chipflasher-doc]:  ../../../generated-documentation/chipflasher/html/index.html
[connect-doc]:      ../../../generated-documentation/connect/html/index.html
[board-doc]:        ../../../generated-documentation/board/html/index.html


-----------------------------------------------------------------------

  @copyright
  Copyright (C) 2017, 2018 Kai Mertens <kmx@posteo.net> @n
  Permission is granted to copy, distribute and/or modify this document
  under the terms of the GNU Free Documentation License, Version 1.3
  or any later version published by the Free Software Foundation;
  with no Invariant Sections, no Front-Cover Texts, and no Back-Cover
  Texts. A copy of the license is included in the section entitled:
  [GNU Free Documentation License](COPYING-DOCUMENTATION.md)
