Zerocat Connect Documentation
=============================

Zerocat Connect is part of the Zerocat Chipflasher,
for the chipflasher's firmware `kick` needs someone to talk to.
The capabilities of a terminal, setup by `propeller-load`, are not
sufficient. Therefore, sample code had been used to start building
up `connect`. Now it is a small program that suits our needs, its
code is located under the `host/` folder.


Where to Go?
------------

See [Related Pages][] to get started.


Complete List of Documentations
-------------------------------

  1.  [Zerocat Chipflasher Documentation][chipflasher-doc]
  2.  Zerocat Connect Documentation
  3.  [Zerocat Chipflasher Board Documentation][board-doc]



<!-- Paths are prefixed with ../../../ to make them work for doxygen! -->
[Related Pages]:    ../../../generated-documentation/chipflasher/html/pages.html
[chipflasher-doc]:  ../../../generated-documentation/chipflasher/html/index.html
[connect-doc]:      ../../../generated-documentation/connect/html/index.html
[board-doc]:        ../../../generated-documentation/board/html/index.html


-----------------------------------------------------------------------

  @copyright
  Copyright (C) 2017, 2018 Kai Mertens <kmx@posteo.net> @n
  Permission is granted to copy, distribute and/or modify this document
  under the terms of the GNU Free Documentation License, Version 1.3
  or any later version published by the Free Software Foundation;
  with no Invariant Sections, no Front-Cover Texts, and no Back-Cover Texts.
  A copy of the license is included in the section entitled:
  [GNU Free Documentation License](COPYING-DOCUMENTATION.md)
